[![pub package](https://img.shields.io/pub/v/flutter_date_time_picker.svg)](https://github.com/Iconica-Development) [![Build status](https://img.shields.io/github/workflow/status/Iconica-Development/flutter_date_time_picker/CI)](https://github.com/Iconica-Development/flutter_date_time_picker/actions/new) [![style: effective dart](https://img.shields.io/badge/style-effective_dart-40c4ff.svg)](https://github.com/tenhobi/effective_dart) 

# DateTime Picker

Fluter DateTime Picker is a package you can use to implement an Calandar to pick dates and ust them in your Flutter app.

Figma Design that defines this component (only accessible for Iconica developers): https://www.figma.com/file/4WkjwynOz5wFeFBRqTHPeP/Iconica-Design-System?type=design&node-id=357%3A3345&mode=design&t=XulkAJNPQ32ARxWh-1
Figma clickable prototype that demonstrates this component (only accessible for Iconica developers): https://www.figma.com/proto/4WkjwynOz5wFeFBRqTHPeP/Iconica-Design-System?type=design&node-id=340-611&viewport=-1987%2C15%2C0.3&t=XulkAJNPQ32ARxWh-0&scaling=min-zoom&starting-point-node-id=381%3A8571&show-proto-sidebar=1

## Features

### DragDownDateTimePicker

A picker that is placed in the top of the screen.
You are able to select a day for a given week.
When it is dragged down you are able to select a day for a given month.

![Dragdown date time picker GIF](dropdown_date_time_picker.gif)

### OverlayDateTimePicker

A picker, that when opened using a button, is placed over the screen.
Then you are able to swipe through the month to select a day.
It is possible to add a constraint to de picker to limit the choice of day.

![Overlay date time picker GIF](overlay_date_time_picker.gif)

## Setup

To use this package, add `flutter_date_time_picker` as a dependency in your pubspec.yaml file.

## How to Use

See the [Example Code](example/lib/main.dart) for an example on how to use this package.

## Issues

Please file any issues, bugs or feature request as an issue on our [GitHub](https://github.com/Iconica-Development/flutter_date_time_picker/pulls) page. Commercial support is available if you need help with integration with your app or services. You can contact us at [support@iconica.nl](mailto:support@iconica.nl).

## Want to contribute

If you would like to contribute to the plugin (e.g. by improving the documentation, solving a bug or adding a cool new feature), please carefully review our [contribution guide](./CONTRIBUTING.md) and send us your [pull request](https://github.com/Iconica-Development/flutter_date_time_picker/pulls).

## Author

This `flutter-date-time-picker` for Flutter is developed by [Iconica](https://iconica.nl). You can contact us at <support@iconica.nl>
